Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class UnlinkExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.UnlinkExpImpl

All Implemented Interfaces:
  ImperativeExpression, UnlinkExp

    public class UnlinkExpImpl

extends ImperativeExpressionImpl
implements UnlinkExp

An implementation of the model object 'Unlink Exp'.

The following features are implemented:

- `Item`
- `Target`

Field Summary
`protected OCLExpression` | `item` The cached value of the '`Item`' containment reference
`protected OCLExpression` | `target` The cached value of the '`Target`' containment reference

Constructor Summary
`protected` | `UnlinkExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetItem(OCLExpression newItem, NotificationChain msgs)`
`NotificationChain` | `basicSetTarget(OCLExpression newTarget, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`OCLExpression` | `getItem()`
`OCLExpression` | `getTarget()`
`void` | `setItem(OCLExpression newItem)`
`void` | `setTarget(OCLExpression newTarget)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    protected OCLExpression item

  The cached value of the '`Item`' containment reference.

  See Also:
    `getItem()`

### target

    protected OCLExpression target

  The cached value of the '`Target`' containment reference.

  See Also:
    `getTarget()`

Constructor Detail

### UnlinkExpImpl

    protected UnlinkExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getItem

    public OCLExpression getItem()

  Specified by:
    `getItem` in interface `UnlinkExp`
  Returns:
    the value of the 'Item' containment reference.
  See Also:
    `UnlinkExp.setItem(OCLExpression)`, `ImperativeOCLPackage.getUnlinkExp_Item()`

### basicSetItem

    public NotificationChain basicSetItem(OCLExpression newItem,
                                          NotificationChain msgs)

### setItem

    public void setItem(OCLExpression newItem)

  Specified by:
    `setItem` in interface `UnlinkExp`
  Parameters:
    `newItem` - the new value of the 'Item' containment reference.
  See Also:
    `UnlinkExp.getItem()`

### getTarget

    public OCLExpression getTarget()

  Specified by:
    `getTarget` in interface `UnlinkExp`
  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `UnlinkExp.setTarget(OCLExpression)`, `ImperativeOCLPackage.getUnlinkExp_Target()`

### basicSetTarget

    public NotificationChain basicSetTarget(OCLExpression newTarget,
                                            NotificationChain msgs)

### setTarget

    public void setTarget(OCLExpression newTarget)

  Specified by:
    `setTarget` in interface `UnlinkExp`
  Parameters:
    `newTarget` - the new value of the 'Target' containment reference.
  See Also:
    `UnlinkExp.getTarget()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD